KDE 4.9 PyKDE API Reference

- KDE's Python API

# KBugReport Class Reference

`from PyKDE4.kdeui import *`

Inherits: KDialog → QDialog → QWidget → QObject

## Detailed Description

A dialog box for sending bug reports.

All the information needed by the dialog box (program name, version, bug-report address, etc.) comes from the KAboutData class. Make sure you create an instance of KAboutData and pass it to KCmdLineArgs.

"KDE Bug Report Dialog"

Author:
  David Faure <faure@kde.org>

## Methods

| __init__ (self, QWidget parent=0, bool modal=1, KAboutData aboutData=0)
| __init__ (self, KBugReport a0)
| accept (self)
| closeEvent (self, QCloseEvent e)
QString | messageBody (self)
bool | sendBugReport (self)
| setMessageBody (self, QString messageBody)
QString | text (self)

## Method Documentation

__init__ | ( | self, |
|  | QWidget | parent=0,
|  | bool | modal=1,
|  | KAboutData | aboutData=0
| ) |  |  |

Creates a bug-report dialog. Note that you shouldn't have to do this manually, since KHelpMenu takes care of the menu item for "Report Bug..." and of creating a KBugReport dialog.

__init__ | ( | self, |
|  | KBugReport | a0
| ) |  |  |

accept | ( |  | self ) |

OK has been clicked

closeEvent | ( | self, |
|  | QCloseEvent | e
| ) |  |  |

QString messageBody | ( |  | self ) |

The message body of the bug report

Returns:
  The message body of the bug report.

bool sendBugReport | ( |  | self ) |

Attempt to e-mail the bug report.

Returns:
  true on success

setMessageBody | ( | self, |
|  | QString | messageBody
| ) |  |  |

Sets the message body of the bug report.

QString text | ( |  | self ) |

A complete copy of the bug report

Returns:
  QString copy of the bug report.